Listar payloads de BR Code
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createdAt": "2025-03-07T14:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"kind": "STATIC",
"merchantCity": "São Paulo",
"merchantName": "Lerian Studio",
"pixKey": "12345678901",
"status": "ACTIVE",
"updatedAt": "2025-03-07T14:30:00Z",
"amount": "100.00",
"copyPaste": "00020126580014br.gov.bcb.pix...",
"payloadUrl": "https://pix.example.com/qr/v2/550e8400",
"qrPngBase64": "iVBORw0KGgoAAAANSUhEUgAA...",
"qrPngContentType": "image/png",
"raw": "00020126580014br.gov.bcb.pix...",
"txId": "txid-abc-123"
}
],
"limit": 25,
"offset": 0,
"correlationId": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Listar payloads de BR Code
Devuelve una lista paginada de payloads de BR Code.
GET
/
api
/
v1
/
brcode
/
Listar payloads de BR Code
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de consulta
Page size (default 25, max 100)
Rango requerido:
1 <= x <= 100Page offset (default 0)
Rango requerido:
x >= 0Respuesta
OK
Page of BR Code payloads for the requested limit/offset window.
Show child attributes
Show child attributes
Maximum number of items returned for this page (clamped to the server maximum).
Ejemplo:
25
Zero-based offset of the first item in this page.
Ejemplo:
0
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
¿Esta página le ayudó?

